Subject: Re: [PATCH 1/8] CodingGuidelines: instruct to name arrays in singular

From: Lucas Seiki Oshiro <[email-masked]>
Date: Sun, 22 Feb 2026 18:43:17 -0300

> While this is generally true on this project, it is nevertheless
> incomplete. More specifically, the singular form is used for an array
> name in cases when the individual items of the array are the typical
> subject of use, for instance, when the consumer of the array is
> walking the dogs one at a time. However, there are cases in which the
> array is generally employed as a whole, rather than as its unit parts,
> in which the plural form for the name is preferable. An example would
> be when walking all the dogs at the same time.

Thanks, Eric!

You explanation was very clear, and I'll use parts of it in the next
version, giving credits to you, of course.